package sgc.portal.cd.cd0302.persistence;

import java.util.List;

import org.apache.ibatis.annotations.Mapper;

import sgc.portal.base.util.EasyHashMap;
import sgc.portal.cd.cd0301.model.CD03010001P;
import sgc.portal.cd.cd0302.dto.CD03020001PSearch;

@Mapper
public interface CD03020001PMapper {

	/**
	 * 메일전송 작업지시서 조회
	 * @param search
	 * @return
	 */
	List<EasyHashMap<String, Object>> selectConWkiOdrList(CD03020001PSearch search);

	/**
	 * 메일전송횟수 UPDATE
	 * @param cd03010001p
	 */
	void updateMailsendCnt(CD03010001P cd03010001p);
	
	/**
	 * 메일전송내역 업데이트
	 * @param cd03010001p
	 */
	void insertConWkiOdrMailhis(CD03010001P cd03010001p);

	/**
	 * 메일전송횟수, 교부일자 UPDATE
	 * @param cd03010001p
	 */
	void updateMailsend(CD03010001P cd03010001p);
	
}
